Package org.eclipse.core.resources

## Interface IBuildContext

    public interface IBuildContext

Stores information about the context in which a builder was called.

This can be interrogated by a builder to determine what's been built before, and what's being built after it, for this particular build invocation.

Since:
  3.7
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IBuildConfiguration[]` `getAllReferencedBuildConfigs()` Gets a array of build configurations that were built before this build configuration, as part of the current top-level build invocation.
`IBuildConfiguration[]` `getAllReferencingBuildConfigs()` Gets a array of build configurations that will be built after this build configuration, as part of the current top-level build invocation.
`IBuildConfiguration[]` `getRequestedConfigs()` Returns the full array of configurations that were requested to be built by the API user.

### Method Detail

#### getAllReferencedBuildConfigs

    IBuildConfiguration[] getAllReferencedBuildConfigs()

Gets a array of build configurations that were built before this build configuration, as part of the current top-level build invocation.

Returns:
  an array of all referenced build configurations that have been built in the current build; never null.

#### getAllReferencingBuildConfigs

    IBuildConfiguration[] getAllReferencingBuildConfigs()

Gets a array of build configurations that will be built after this build configuration, as part of the current top-level build invocation.

If the array is empty, this configuration is the last in the build chain.

Returns:
  an array of all referencing build configurations that will be built in the current build; never null.

#### getRequestedConfigs

    IBuildConfiguration[] getRequestedConfigs()

Returns the full array of configurations that were requested to be built by the API user. These configurations may be anywhere in the build order (depending on how the build graph has been flattened).

This array won't include any build configurations being built by virtue of being referenced from a requested build configuration.

May return the empty array if this is a top-level workspace build.

Returns:
  an array of configurations that were requested to be built.